import { createApp } from 'vue';
import ElementPlus from 'element-plus';
import { createPinia } from 'pinia';
import App from './App';
import router from './router';
import animated from 'animate.css';

// import 'nprogress/nprogress.css';
import './styles/element/index.scss';
import './styles/global.scss';
import '@/utils/flexible';


createApp(App)
  .use(createPinia())
  .use(ElementPlus)
  .use(animated)
  .use(router)
  .mount('#app');
